﻿.p-0 {
    padding: 0 !important;
}

.pt-0 {
    padding-top: 0 !important;
}

.pr-0 {
    padding-right: 0 !important;
}

.pb-0 {
    padding-bottom: 0 !important;
}

.pl-0 {
    padding-left: 0 !important;
}

.pv-0 {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

.ph-0 {
    padding-right: 0 !important;
    padding-left: 0 !important;
}

.p {
    padding: 1rem !important;
}

.pt {
    padding-top: 1rem !important;
}

.pr {
    padding-right: 1rem !important;
}

.pb {
    padding-bottom: 1rem !important;
}

.pl {
    padding-left: 1rem !important;
}

.pv {
    padding-top: 1rem !important;
    padding-bottom: 1rem !important;
}

.ph {
    padding-right: 1rem !important;
    padding-left: 1rem !important;
}

.p-2x {
    padding: 2rem !important;
}

.pt-2x {
    padding-top: 2rem !important;
}

.pr-2x {
    padding-right: 2rem !important;
}

.pb-2x {
    padding-bottom: 2rem !important;
}

.pl-2x {
    padding-left: 2rem !important;
}

.pv-2x {
    padding-top: 2rem !important;
    padding-bottom: 2rem !important;
}

.ph-2x {
    padding-right: 2rem !important;
    padding-left: 2rem !important;
}

.p-3x {
    padding: 3rem !important;
}

.pt-3x {
    padding-top: 3rem !important;
}

.pr-3x {
    padding-right: 3rem !important;
}

.pb-3x {
    padding-bottom: 3rem !important;
}

.pl-3x {
    padding-left: 3rem !important;
}

.pv-3x {
    padding-top: 3rem !important;
    padding-bottom: 3rem !important;
}

.ph-3x {
    padding-right: 3rem !important;
    padding-left: 3rem !important;
}

.p-4x {
    padding: 4rem !important;
}

.pt-4x {
    padding-top: 4rem !important;
}

.pr-4x {
    padding-right: 4rem !important;
}

.pb-4x {
    padding-bottom: 4rem !important;
}

.pl-4x {
    padding-left: 4rem !important;
}

.pv-4x {
    padding-top: 4rem !important;
    padding-bottom: 4rem !important;
}

.ph-4x {
    padding-right: 4rem !important;
    padding-left: 4rem !important;
}

.p-5x {
    padding: 5rem !important;
}

.pt-5x {
    padding-top: 5rem !important;
}

.pr-5x {
    padding-right: 5rem !important;
}

.pb-5x {
    padding-bottom: 5rem !important;
}

.pl-5x {
    padding-left: 5rem !important;
}

.pv-5x {
    padding-top: 5rem !important;
    padding-bottom: 5rem !important;
}

.ph-5x {
    padding-right: 5rem !important;
    padding-left: 5rem !important;
}

@media (min-width: 320px) and (max-width: 480px) {
    .p-small-0 {
        padding: 0 !important;
    }

    .pt-small-0 {
        padding-top: 0 !important;
    }

    .pr-small-0 {
        padding-right: 0 !important;
    }

    .pb-small-0 {
        padding-bottom: 0 !important;
    }

    .pl-small-0 {
        padding-left: 0 !important;
    }

    .pv-small-0 {
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }

    .ph-small-0 {
        padding-right: 0 !important;
        padding-left: 0 !important;
    }

    .p-small {
        padding: 1rem !important;
    }

    .pt-small {
        padding-top: 1rem !important;
    }

    .pr-small {
        padding-right: 1rem !important;
    }

    .pb-small {
        padding-bottom: 1rem !important;
    }

    .pl-small {
        padding-left: 1rem !important;
    }

    .pv-small {
        padding-top: 1rem !important;
        padding-bottom: 1rem !important;
    }

    .ph-small {
        padding-right: 1rem !important;
        padding-left: 1rem !important;
    }

    .p-small-2x {
        padding: 2rem !important;
    }

    .pt-small-2x {
        padding-top: 2rem !important;
    }

    .pr-small-2x {
        padding-right: 2rem !important;
    }

    .pb-small-2x {
        padding-bottom: 2rem !important;
    }

    .pl-small-2x {
        padding-left: 2rem !important;
    }

    .pv-small-2x {
        padding-top: 2rem !important;
        padding-bottom: 2rem !important;
    }

    .ph-small-2x {
        padding-right: 2rem !important;
        padding-left: 2rem !important;
    }

    .p-small-3x {
        padding: 3rem !important;
    }

    .pt-small-3x {
        padding-top: 3rem !important;
    }

    .pr-small-3x {
        padding-right: 3rem !important;
    }

    .pb-small-3x {
        padding-bottom: 3rem !important;
    }

    .pl-small-3x {
        padding-left: 3rem !important;
    }

    .pv-small-3x {
        padding-top: 3rem !important;
        padding-bottom: 3rem !important;
    }

    .ph-small-3x {
        padding-right: 3rem !important;
        padding-left: 3rem !important;
    }

    .p-small-4x {
        padding: 4rem !important;
    }

    .pt-small-4x {
        padding-top: 4rem !important;
    }

    .pr-small-4x {
        padding-right: 4rem !important;
    }

    .pb-small-4x {
        padding-bottom: 4rem !important;
    }

    .pl-small-4x {
        padding-left: 4rem !important;
    }

    .pv-small-4x {
        padding-top: 4rem !important;
        padding-bottom: 4rem !important;
    }

    .ph-small-4x {
        padding-right: 4rem !important;
        padding-left: 4rem !important;
    }

    .p-small-5x {
        padding: 5rem !important;
    }

    .pt-small-5x {
        padding-top: 5rem !important;
    }

    .pr-small-5x {
        padding-right: 5rem !important;
    }

    .pb-small-5x {
        padding-bottom: 5rem !important;
    }

    .pl-small-5x {
        padding-left: 5rem !important;
    }

    .pv-small-5x {
        padding-top: 5rem !important;
        padding-bottom: 5rem !important;
    }

    .ph-small-5x {
        padding-right: 5rem !important;
        padding-left: 5rem !important;
    }
}

@media (min-width: 481px) and (max-width: 767px) {
    .p-medium-0 {
        padding: 0 !important;
    }

    .pt-medium-0 {
        padding-top: 0 !important;
    }

    .pr-medium-0 {
        padding-right: 0 !important;
    }

    .pb-medium-0 {
        padding-bottom: 0 !important;
    }

    .pl-medium-0 {
        padding-left: 0 !important;
    }

    .pv-medium-0 {
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }

    .ph-medium-0 {
        padding-right: 0 !important;
        padding-left: 0 !important;
    }

    .p-medium {
        padding: 1rem !important;
    }

    .pt-medium {
        padding-top: 1rem !important;
    }

    .pr-medium {
        padding-right: 1rem !important;
    }

    .pb-medium {
        padding-bottom: 1rem !important;
    }

    .pl-medium {
        padding-left: 1rem !important;
    }

    .pv-medium {
        padding-top: 1rem !important;
        padding-bottom: 1rem !important;
    }

    .ph-medium {
        padding-right: 1rem !important;
        padding-left: 1rem !important;
    }

    .p-medium-2x {
        padding: 2rem !important;
    }

    .pt-medium-2x {
        padding-top: 2rem !important;
    }

    .pr-medium-2x {
        padding-right: 2rem !important;
    }

    .pb-medium-2x {
        padding-bottom: 2rem !important;
    }

    .pl-medium-2x {
        padding-left: 2rem !important;
    }

    .pv-medium-2x {
        padding-top: 2rem !important;
        padding-bottom: 2rem !important;
    }

    .ph-medium-2x {
        padding-right: 2rem !important;
        padding-left: 2rem !important;
    }

    .p-medium-3x {
        padding: 3rem !important;
    }

    .pt-medium-3x {
        padding-top: 3rem !important;
    }

    .pr-medium-3x {
        padding-right: 3rem !important;
    }

    .pb-medium-3x {
        padding-bottom: 3rem !important;
    }

    .pl-medium-3x {
        padding-left: 3rem !important;
    }

    .pv-medium-3x {
        padding-top: 3rem !important;
        padding-bottom: 3rem !important;
    }

    .ph-medium-3x {
        padding-right: 3rem !important;
        padding-left: 3rem !important;
    }

    .p-medium-4x {
        padding: 4rem !important;
    }

    .pt-medium-4x {
        padding-top: 4rem !important;
    }

    .pr-medium-4x {
        padding-right: 4rem !important;
    }

    .pb-medium-4x {
        padding-bottom: 4rem !important;
    }

    .pl-medium-4x {
        padding-left: 4rem !important;
    }

    .pv-medium-4x {
        padding-top: 4rem !important;
        padding-bottom: 4rem !important;
    }

    .ph-medium-4x {
        padding-right: 4rem !important;
        padding-left: 4rem !important;
    }

    .p-medium-5x {
        padding: 5rem !important;
    }

    .pt-medium-5x {
        padding-top: 5rem !important;
    }

    .pr-medium-5x {
        padding-right: 5rem !important;
    }

    .pb-medium-5x {
        padding-bottom: 5rem !important;
    }

    .pl-medium-5x {
        padding-left: 5rem !important;
    }

    .pv-medium-5x {
        padding-top: 5rem !important;
        padding-bottom: 5rem !important;
    }

    .ph-medium-5x {
        padding-right: 5rem !important;
        padding-left: 5rem !important;
    }
}

@media (min-width: 768px) and (max-width: 1024px) {
    .p-large-0 {
        padding: 0 !important;
    }

    .pt-large-0 {
        padding-top: 0 !important;
    }

    .pr-large-0 {
        padding-right: 0 !important;
    }

    .pb-large-0 {
        padding-bottom: 0 !important;
    }

    .pl-large-0 {
        padding-left: 0 !important;
    }

    .pv-large-0 {
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }

    .ph-large-0 {
        padding-right: 0 !important;
        padding-left: 0 !important;
    }

    .p-large {
        padding: 1rem !important;
    }

    .pt-large {
        padding-top: 1rem !important;
    }

    .pr-large {
        padding-right: 1rem !important;
    }

    .pb-large {
        padding-bottom: 1rem !important;
    }

    .pl-large {
        padding-left: 1rem !important;
    }

    .pv-large {
        padding-top: 1rem !important;
        padding-bottom: 1rem !important;
    }

    .ph-large {
        padding-right: 1rem !important;
        padding-left: 1rem !important;
    }

    .p-large-2x {
        padding: 2rem !important;
    }

    .pt-large-2x {
        padding-top: 2rem !important;
    }

    .pr-large-2x {
        padding-right: 2rem !important;
    }

    .pb-large-2x {
        padding-bottom: 2rem !important;
    }

    .pl-large-2x {
        padding-left: 2rem !important;
    }

    .pv-large-2x {
        padding-top: 2rem !important;
        padding-bottom: 2rem !important;
    }

    .ph-large-2x {
        padding-right: 2rem !important;
        padding-left: 2rem !important;
    }

    .p-large-3x {
        padding: 3rem !important;
    }

    .pt-large-3x {
        padding-top: 3rem !important;
    }

    .pr-large-3x {
        padding-right: 3rem !important;
    }

    .pb-large-3x {
        padding-bottom: 3rem !important;
    }

    .pl-large-3x {
        padding-left: 3rem !important;
    }

    .pv-large-3x {
        padding-top: 3rem !important;
        padding-bottom: 3rem !important;
    }

    .ph-large-3x {
        padding-right: 3rem !important;
        padding-left: 3rem !important;
    }

    .p-large-4x {
        padding: 4rem !important;
    }

    .pt-large-4x {
        padding-top: 4rem !important;
    }

    .pr-large-4x {
        padding-right: 4rem !important;
    }

    .pb-large-4x {
        padding-bottom: 4rem !important;
    }

    .pl-large-4x {
        padding-left: 4rem !important;
    }

    .pv-large-4x {
        padding-top: 4rem !important;
        padding-bottom: 4rem !important;
    }

    .ph-large-4x {
        padding-right: 4rem !important;
        padding-left: 4rem !important;
    }

    .p-large-5x {
        padding: 5rem !important;
    }

    .pt-large-5x {
        padding-top: 5rem !important;
    }

    .pr-large-5x {
        padding-right: 5rem !important;
    }

    .pb-large-5x {
        padding-bottom: 5rem !important;
    }

    .pl-large-5x {
        padding-left: 5rem !important;
    }

    .pv-large-5x {
        padding-top: 5rem !important;
        padding-bottom: 5rem !important;
    }

    .ph-large-5x {
        padding-right: 5rem !important;
        padding-left: 5rem !important;
    }
}

@media (min-width: 1025px) and (max-width: 1280px) {
    .p-xlarge-0 {
        padding: 0 !important;
    }

    .pt-xlarge-0 {
        padding-top: 0 !important;
    }

    .pr-xlarge-0 {
        padding-right: 0 !important;
    }

    .pb-xlarge-0 {
        padding-bottom: 0 !important;
    }

    .pl-xlarge-0 {
        padding-left: 0 !important;
    }

    .pv-xlarge-0 {
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }

    .ph-xlarge-0 {
        padding-right: 0 !important;
        padding-left: 0 !important;
    }

    .p-xlarge {
        padding: 1rem !important;
    }

    .pt-xlarge {
        padding-top: 1rem !important;
    }

    .pr-xlarge {
        padding-right: 1rem !important;
    }

    .pb-xlarge {
        padding-bottom: 1rem !important;
    }

    .pl-xlarge {
        padding-left: 1rem !important;
    }

    .pv-xlarge {
        padding-top: 1rem !important;
        padding-bottom: 1rem !important;
    }

    .ph-xlarge {
        padding-right: 1rem !important;
        padding-left: 1rem !important;
    }

    .p-xlarge-2x {
        padding: 2rem !important;
    }

    .pt-xlarge-2x {
        padding-top: 2rem !important;
    }

    .pr-xlarge-2x {
        padding-right: 2rem !important;
    }

    .pb-xlarge-2x {
        padding-bottom: 2rem !important;
    }

    .pl-xlarge-2x {
        padding-left: 2rem !important;
    }

    .pv-xlarge-2x {
        padding-top: 2rem !important;
        padding-bottom: 2rem !important;
    }

    .ph-xlarge-2x {
        padding-right: 2rem !important;
        padding-left: 2rem !important;
    }

    .p-xlarge-3x {
        padding: 3rem !important;
    }

    .pt-xlarge-3x {
        padding-top: 3rem !important;
    }

    .pr-xlarge-3x {
        padding-right: 3rem !important;
    }

    .pb-xlarge-3x {
        padding-bottom: 3rem !important;
    }

    .pl-xlarge-3x {
        padding-left: 3rem !important;
    }

    .pv-xlarge-3x {
        padding-top: 3rem !important;
        padding-bottom: 3rem !important;
    }

    .ph-xlarge-3x {
        padding-right: 3rem !important;
        padding-left: 3rem !important;
    }

    .p-xlarge-4x {
        padding: 4rem !important;
    }

    .pt-xlarge-4x {
        padding-top: 4rem !important;
    }

    .pr-xlarge-4x {
        padding-right: 4rem !important;
    }

    .pb-xlarge-4x {
        padding-bottom: 4rem !important;
    }

    .pl-xlarge-4x {
        padding-left: 4rem !important;
    }

    .pv-xlarge-4x {
        padding-top: 4rem !important;
        padding-bottom: 4rem !important;
    }

    .ph-xlarge-4x {
        padding-right: 4rem !important;
        padding-left: 4rem !important;
    }

    .p-xlarge-5x {
        padding: 5rem !important;
    }

    .pt-xlarge-5x {
        padding-top: 5rem !important;
    }

    .pr-xlarge-5x {
        padding-right: 5rem !important;
    }

    .pb-xlarge-5x {
        padding-bottom: 5rem !important;
    }

    .pl-xlarge-5x {
        padding-left: 5rem !important;
    }

    .pv-xlarge-5x {
        padding-top: 5rem !important;
        padding-bottom: 5rem !important;
    }

    .ph-xlarge-5x {
        padding-right: 5rem !important;
        padding-left: 5rem !important;
    }
}

@media (min-width: 1281px) {
    .p-xxlarge-0 {
        padding: 0 !important;
    }

    .pt-xxlarge-0 {
        padding-top: 0 !important;
    }

    .pr-xxlarge-0 {
        padding-right: 0 !important;
    }

    .pb-xxlarge-0 {
        padding-bottom: 0 !important;
    }

    .pl-xxlarge-0 {
        padding-left: 0 !important;
    }

    .pv-xxlarge-0 {
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }

    .ph-xxlarge-0 {
        padding-right: 0 !important;
        padding-left: 0 !important;
    }

    .p-xxlarge {
        padding: 1rem !important;
    }

    .pt-xxlarge {
        padding-top: 1rem !important;
    }

    .pr-xxlarge {
        padding-right: 1rem !important;
    }

    .pb-xxlarge {
        padding-bottom: 1rem !important;
    }

    .pl-xxlarge {
        padding-left: 1rem !important;
    }

    .pv-xxlarge {
        padding-top: 1rem !important;
        padding-bottom: 1rem !important;
    }

    .ph-xxlarge {
        padding-right: 1rem !important;
        padding-left: 1rem !important;
    }

    .p-xxlarge-2x {
        padding: 2rem !important;
    }

    .pt-xxlarge-2x {
        padding-top: 2rem !important;
    }

    .pr-xxlarge-2x {
        padding-right: 2rem !important;
    }

    .pb-xxlarge-2x {
        padding-bottom: 2rem !important;
    }

    .pl-xxlarge-2x {
        padding-left: 2rem !important;
    }

    .pv-xxlarge-2x {
        padding-top: 2rem !important;
        padding-bottom: 2rem !important;
    }

    .ph-xxlarge-2x {
        padding-right: 2rem !important;
        padding-left: 2rem !important;
    }

    .p-xxlarge-3x {
        padding: 3rem !important;
    }

    .pt-xxlarge-3x {
        padding-top: 3rem !important;
    }

    .pr-xxlarge-3x {
        padding-right: 3rem !important;
    }

    .pb-xxlarge-3x {
        padding-bottom: 3rem !important;
    }

    .pl-xxlarge-3x {
        padding-left: 3rem !important;
    }

    .pv-xxlarge-3x {
        padding-top: 3rem !important;
        padding-bottom: 3rem !important;
    }

    .ph-xxlarge-3x {
        padding-right: 3rem !important;
        padding-left: 3rem !important;
    }

    .p-xxlarge-4x {
        padding: 4rem !important;
    }

    .pt-xxlarge-4x {
        padding-top: 4rem !important;
    }

    .pr-xxlarge-4x {
        padding-right: 4rem !important;
    }

    .pb-xxlarge-4x {
        padding-bottom: 4rem !important;
    }

    .pl-xxlarge-4x {
        padding-left: 4rem !important;
    }

    .pv-xxlarge-4x {
        padding-top: 4rem !important;
        padding-bottom: 4rem !important;
    }

    .ph-xxlarge-4x {
        padding-right: 4rem !important;
        padding-left: 4rem !important;
    }

    .p-xxlarge-5x {
        padding: 5rem !important;
    }

    .pt-xxlarge-5x {
        padding-top: 5rem !important;
    }

    .pr-xxlarge-5x {
        padding-right: 5rem !important;
    }

    .pb-xxlarge-5x {
        padding-bottom: 5rem !important;
    }

    .pl-xxlarge-5x {
        padding-left: 5rem !important;
    }

    .pv-xxlarge-5x {
        padding-top: 5rem !important;
        padding-bottom: 5rem !important;
    }

    .ph-xxlarge-5x {
        padding-right: 5rem !important;
        padding-left: 5rem !important;
    }
}

.m-0 {
    margin: 0 !important;
}

.mt-0 {
    margin-top: 0 !important;
}

.mr-0 {
    margin-right: 0 !important;
}

.mb-0 {
    margin-bottom: 0 !important;
}

.ml-0 {
    margin-left: 0 !important;
}

.mv-0 {
    margin-top: 0 !important;
    margin-bottom: 0 !important;
}

.mh-0 {
    margin-right: 0 !important;
    margin-left: 0 !important;
}

.m-a {
    margin: auto !important;
}

.mt-a {
    margin-top: auto !important;
}

.mr-a {
    margin-right: auto !important;
}

.mb-a {
    margin-bottom: auto !important;
}

.ml-a {
    margin-left: auto !important;
}

.mv-a {
    margin-top: auto !important;
    margin-bottom: auto !important;
}

.mh-a {
    margin-right: auto !important;
    margin-left: auto !important;
}

.m {
    margin: 1rem !important;
}

.mt {
    margin-top: 1rem !important;
}

.mr {
    margin-right: 1rem !important;
}

.mb {
    margin-bottom: 1rem !important;
}

.ml {
    margin-left: 1rem !important;
}

.mv {
    margin-top: 1rem !important;
    margin-bottom: 1rem !important;
}

.mh {
    margin-right: 1rem !important;
    margin-left: 1rem !important;
}

.m-2x {
    margin: 2rem !important;
}

.mt-2x {
    margin-top: 2rem !important;
}

.mr-2x {
    margin-right: 2rem !important;
}

.mb-2x {
    margin-bottom: 2rem !important;
}

.ml-2x {
    margin-left: 2rem !important;
}

.mv-2x {
    margin-top: 2rem !important;
    margin-bottom: 2rem !important;
}

.mh-2x {
    margin-right: 2rem !important;
    margin-left: 2rem !important;
}

.m-3x {
    margin: 3rem !important;
}

.mt-3x {
    margin-top: 3rem !important;
}

.mr-3x {
    margin-right: 3rem !important;
}

.mb-3x {
    margin-bottom: 3rem !important;
}

.ml-3x {
    margin-left: 3rem !important;
}

.mv-3x {
    margin-top: 3rem !important;
    margin-bottom: 3rem !important;
}

.mh-3x {
    margin-right: 3rem !important;
    margin-left: 3rem !important;
}

.m-4x {
    margin: 4rem !important;
}

.mt-4x {
    margin-top: 4rem !important;
}

.mr-4x {
    margin-right: 4rem !important;
}

.mb-4x {
    margin-bottom: 4rem !important;
}

.ml-4x {
    margin-left: 4rem !important;
}

.mv-4x {
    margin-top: 4rem !important;
    margin-bottom: 4rem !important;
}

.mh-4x {
    margin-right: 4rem !important;
    margin-left: 4rem !important;
}

.m-5x {
    margin: 5rem !important;
}

.mt-5x {
    margin-top: 5rem !important;
}

.mr-5x {
    margin-right: 5rem !important;
}

.mb-5x {
    margin-bottom: 5rem !important;
}

.ml-5x {
    margin-left: 5rem !important;
}

.mv-5x {
    margin-top: 5rem !important;
    margin-bottom: 5rem !important;
}

.mh-5x {
    margin-right: 5rem !important;
    margin-left: 5rem !important;
}

@media (min-width: 320px) and (max-width: 480px) {
    .m-small-0 {
        margin: 0 !important;
    }

    .mt-small-0 {
        margin-top: 0 !important;
    }

    .mr-small-0 {
        margin-right: 0 !important;
    }

    .mb-small-0 {
        margin-bottom: 0 !important;
    }

    .ml-small-0 {
        margin-left: 0 !important;
    }

    .mv-small-0 {
        margin-top: 0 !important;
        margin-bottom: 0 !important;
    }

    .mh-small-0 {
        margin-right: 0 !important;
        margin-left: 0 !important;
    }

    .m-small-a {
        margin: auto !important;
    }

    .mt-small-a {
        margin-top: auto !important;
    }

    .mr-small-a {
        margin-right: auto !important;
    }

    .mb-small-a {
        margin-bottom: auto !important;
    }

    .ml-small-a {
        margin-left: auto !important;
    }

    .mv-small-a {
        margin-top: auto !important;
        margin-bottom: auto !important;
    }

    .mh-small-a {
        margin-right: auto !important;
        margin-left: auto !important;
    }

    .m-small {
        margin: 1rem !important;
    }

    .mt-small {
        margin-top: 1rem !important;
    }

    .mr-small {
        margin-right: 1rem !important;
    }

    .mb-small {
        margin-bottom: 1rem !important;
    }

    .ml-small {
        margin-left: 1rem !important;
    }

    .mv-small {
        margin-top: 1rem !important;
        margin-bottom: 1rem !important;
    }

    .mh-small {
        margin-right: 1rem !important;
        margin-left: 1rem !important;
    }

    .m-small-2x {
        margin: 2rem !important;
    }

    .mt-small-2x {
        margin-top: 2rem !important;
    }

    .mr-small-2x {
        margin-right: 2rem !important;
    }

    .mb-small-2x {
        margin-bottom: 2rem !important;
    }

    .ml-small-2x {
        margin-left: 2rem !important;
    }

    .mv-small-2x {
        margin-top: 2rem !important;
        margin-bottom: 2rem !important;
    }

    .mh-small-2x {
        margin-right: 2rem !important;
        margin-left: 2rem !important;
    }

    .m-small-3x {
        margin: 3rem !important;
    }

    .mt-small-3x {
        margin-top: 3rem !important;
    }

    .mr-small-3x {
        margin-right: 3rem !important;
    }

    .mb-small-3x {
        margin-bottom: 3rem !important;
    }

    .ml-small-3x {
        margin-left: 3rem !important;
    }

    .mv-small-3x {
        margin-top: 3rem !important;
        margin-bottom: 3rem !important;
    }

    .mh-small-3x {
        margin-right: 3rem !important;
        margin-left: 3rem !important;
    }

    .m-small-4x {
        margin: 4rem !important;
    }

    .mt-small-4x {
        margin-top: 4rem !important;
    }

    .mr-small-4x {
        margin-right: 4rem !important;
    }

    .mb-small-4x {
        margin-bottom: 4rem !important;
    }

    .ml-small-4x {
        margin-left: 4rem !important;
    }

    .mv-small-4x {
        margin-top: 4rem !important;
        margin-bottom: 4rem !important;
    }

    .mh-small-4x {
        margin-right: 4rem !important;
        margin-left: 4rem !important;
    }

    .m-small-5x {
        margin: 5rem !important;
    }

    .mt-small-5x {
        margin-top: 5rem !important;
    }

    .mr-small-5x {
        margin-right: 5rem !important;
    }

    .mb-small-5x {
        margin-bottom: 5rem !important;
    }

    .ml-small-5x {
        margin-left: 5rem !important;
    }

    .mv-small-5x {
        margin-top: 5rem !important;
        margin-bottom: 5rem !important;
    }

    .mh-small-5x {
        margin-right: 5rem !important;
        margin-left: 5rem !important;
    }
}

@media (min-width: 481px) and (max-width: 767px) {
    .m-medium-0 {
        margin: 0 !important;
    }

    .mt-medium-0 {
        margin-top: 0 !important;
    }

    .mr-medium-0 {
        margin-right: 0 !important;
    }

    .mb-medium-0 {
        margin-bottom: 0 !important;
    }

    .ml-medium-0 {
        margin-left: 0 !important;
    }

    .mv-medium-0 {
        margin-top: 0 !important;
        margin-bottom: 0 !important;
    }

    .mh-medium-0 {
        margin-right: 0 !important;
        margin-left: 0 !important;
    }

    .m-medium-a {
        margin: auto !important;
    }

    .mt-medium-a {
        margin-top: auto !important;
    }

    .mr-medium-a {
        margin-right: auto !important;
    }

    .mb-medium-a {
        margin-bottom: auto !important;
    }

    .ml-medium-a {
        margin-left: auto !important;
    }

    .mv-medium-a {
        margin-top: auto !important;
        margin-bottom: auto !important;
    }

    .mh-medium-a {
        margin-right: auto !important;
        margin-left: auto !important;
    }

    .m-medium {
        margin: 1rem !important;
    }

    .mt-medium {
        margin-top: 1rem !important;
    }

    .mr-medium {
        margin-right: 1rem !important;
    }

    .mb-medium {
        margin-bottom: 1rem !important;
    }

    .ml-medium {
        margin-left: 1rem !important;
    }

    .mv-medium {
        margin-top: 1rem !important;
        margin-bottom: 1rem !important;
    }

    .mh-medium {
        margin-right: 1rem !important;
        margin-left: 1rem !important;
    }

    .m-medium-2x {
        margin: 2rem !important;
    }

    .mt-medium-2x {
        margin-top: 2rem !important;
    }

    .mr-medium-2x {
        margin-right: 2rem !important;
    }

    .mb-medium-2x {
        margin-bottom: 2rem !important;
    }

    .ml-medium-2x {
        margin-left: 2rem !important;
    }

    .mv-medium-2x {
        margin-top: 2rem !important;
        margin-bottom: 2rem !important;
    }

    .mh-medium-2x {
        margin-right: 2rem !important;
        margin-left: 2rem !important;
    }

    .m-medium-3x {
        margin: 3rem !important;
    }

    .mt-medium-3x {
        margin-top: 3rem !important;
    }

    .mr-medium-3x {
        margin-right: 3rem !important;
    }

    .mb-medium-3x {
        margin-bottom: 3rem !important;
    }

    .ml-medium-3x {
        margin-left: 3rem !important;
    }

    .mv-medium-3x {
        margin-top: 3rem !important;
        margin-bottom: 3rem !important;
    }

    .mh-medium-3x {
        margin-right: 3rem !important;
        margin-left: 3rem !important;
    }

    .m-medium-4x {
        margin: 4rem !important;
    }

    .mt-medium-4x {
        margin-top: 4rem !important;
    }

    .mr-medium-4x {
        margin-right: 4rem !important;
    }

    .mb-medium-4x {
        margin-bottom: 4rem !important;
    }

    .ml-medium-4x {
        margin-left: 4rem !important;
    }

    .mv-medium-4x {
        margin-top: 4rem !important;
        margin-bottom: 4rem !important;
    }

    .mh-medium-4x {
        margin-right: 4rem !important;
        margin-left: 4rem !important;
    }

    .m-medium-5x {
        margin: 5rem !important;
    }

    .mt-medium-5x {
        margin-top: 5rem !important;
    }

    .mr-medium-5x {
        margin-right: 5rem !important;
    }

    .mb-medium-5x {
        margin-bottom: 5rem !important;
    }

    .ml-medium-5x {
        margin-left: 5rem !important;
    }

    .mv-medium-5x {
        margin-top: 5rem !important;
        margin-bottom: 5rem !important;
    }

    .mh-medium-5x {
        margin-right: 5rem !important;
        margin-left: 5rem !important;
    }
}

@media (min-width: 768px) and (max-width: 1024px) {
    .m-large-0 {
        margin: 0 !important;
    }

    .mt-large-0 {
        margin-top: 0 !important;
    }

    .mr-large-0 {
        margin-right: 0 !important;
    }

    .mb-large-0 {
        margin-bottom: 0 !important;
    }

    .ml-large-0 {
        margin-left: 0 !important;
    }

    .mv-large-0 {
        margin-top: 0 !important;
        margin-bottom: 0 !important;
    }

    .mh-large-0 {
        margin-right: 0 !important;
        margin-left: 0 !important;
    }

    .m-large-a {
        margin: auto !important;
    }

    .mt-large-a {
        margin-top: auto !important;
    }

    .mr-large-a {
        margin-right: auto !important;
    }

    .mb-large-a {
        margin-bottom: auto !important;
    }

    .ml-large-a {
        margin-left: auto !important;
    }

    .mv-large-a {
        margin-top: auto !important;
        margin-bottom: auto !important;
    }

    .mh-large-a {
        margin-right: auto !important;
        margin-left: auto !important;
    }

    .m-large {
        margin: 1rem !important;
    }

    .mt-large {
        margin-top: 1rem !important;
    }

    .mr-large {
        margin-right: 1rem !important;
    }

    .mb-large {
        margin-bottom: 1rem !important;
    }

    .ml-large {
        margin-left: 1rem !important;
    }

    .mv-large {
        margin-top: 1rem !important;
        margin-bottom: 1rem !important;
    }

    .mh-large {
        margin-right: 1rem !important;
        margin-left: 1rem !important;
    }

    .m-large-2x {
        margin: 2rem !important;
    }

    .mt-large-2x {
        margin-top: 2rem !important;
    }

    .mr-large-2x {
        margin-right: 2rem !important;
    }

    .mb-large-2x {
        margin-bottom: 2rem !important;
    }

    .ml-large-2x {
        margin-left: 2rem !important;
    }

    .mv-large-2x {
        margin-top: 2rem !important;
        margin-bottom: 2rem !important;
    }

    .mh-large-2x {
        margin-right: 2rem !important;
        margin-left: 2rem !important;
    }

    .m-large-3x {
        margin: 3rem !important;
    }

    .mt-large-3x {
        margin-top: 3rem !important;
    }

    .mr-large-3x {
        margin-right: 3rem !important;
    }

    .mb-large-3x {
        margin-bottom: 3rem !important;
    }

    .ml-large-3x {
        margin-left: 3rem !important;
    }

    .mv-large-3x {
        margin-top: 3rem !important;
        margin-bottom: 3rem !important;
    }

    .mh-large-3x {
        margin-right: 3rem !important;
        margin-left: 3rem !important;
    }

    .m-large-4x {
        margin: 4rem !important;
    }

    .mt-large-4x {
        margin-top: 4rem !important;
    }

    .mr-large-4x {
        margin-right: 4rem !important;
    }

    .mb-large-4x {
        margin-bottom: 4rem !important;
    }

    .ml-large-4x {
        margin-left: 4rem !important;
    }

    .mv-large-4x {
        margin-top: 4rem !important;
        margin-bottom: 4rem !important;
    }

    .mh-large-4x {
        margin-right: 4rem !important;
        margin-left: 4rem !important;
    }

    .m-large-5x {
        margin: 5rem !important;
    }

    .mt-large-5x {
        margin-top: 5rem !important;
    }

    .mr-large-5x {
        margin-right: 5rem !important;
    }

    .mb-large-5x {
        margin-bottom: 5rem !important;
    }

    .ml-large-5x {
        margin-left: 5rem !important;
    }

    .mv-large-5x {
        margin-top: 5rem !important;
        margin-bottom: 5rem !important;
    }

    .mh-large-5x {
        margin-right: 5rem !important;
        margin-left: 5rem !important;
    }
}

@media (min-width: 1025px) and (max-width: 1280px) {
    .m-xlarge-0 {
        margin: 0 !important;
    }

    .mt-xlarge-0 {
        margin-top: 0 !important;
    }

    .mr-xlarge-0 {
        margin-right: 0 !important;
    }

    .mb-xlarge-0 {
        margin-bottom: 0 !important;
    }

    .ml-xlarge-0 {
        margin-left: 0 !important;
    }

    .mv-xlarge-0 {
        margin-top: 0 !important;
        margin-bottom: 0 !important;
    }

    .mh-xlarge-0 {
        margin-right: 0 !important;
        margin-left: 0 !important;
    }

    .m-xlarge-a {
        margin: auto !important;
    }

    .mt-xlarge-a {
        margin-top: auto !important;
    }

    .mr-xlarge-a {
        margin-right: auto !important;
    }

    .mb-xlarge-a {
        margin-bottom: auto !important;
    }

    .ml-xlarge-a {
        margin-left: auto !important;
    }

    .mv-xlarge-a {
        margin-top: auto !important;
        margin-bottom: auto !important;
    }

    .mh-xlarge-a {
        margin-right: auto !important;
        margin-left: auto !important;
    }

    .m-xlarge {
        margin: 1rem !important;
    }

    .mt-xlarge {
        margin-top: 1rem !important;
    }

    .mr-xlarge {
        margin-right: 1rem !important;
    }

    .mb-xlarge {
        margin-bottom: 1rem !important;
    }

    .ml-xlarge {
        margin-left: 1rem !important;
    }

    .mv-xlarge {
        margin-top: 1rem !important;
        margin-bottom: 1rem !important;
    }

    .mh-xlarge {
        margin-right: 1rem !important;
        margin-left: 1rem !important;
    }

    .m-xlarge-2x {
        margin: 2rem !important;
    }

    .mt-xlarge-2x {
        margin-top: 2rem !important;
    }

    .mr-xlarge-2x {
        margin-right: 2rem !important;
    }

    .mb-xlarge-2x {
        margin-bottom: 2rem !important;
    }

    .ml-xlarge-2x {
        margin-left: 2rem !important;
    }

    .mv-xlarge-2x {
        margin-top: 2rem !important;
        margin-bottom: 2rem !important;
    }

    .mh-xlarge-2x {
        margin-right: 2rem !important;
        margin-left: 2rem !important;
    }

    .m-xlarge-3x {
        margin: 3rem !important;
    }

    .mt-xlarge-3x {
        margin-top: 3rem !important;
    }

    .mr-xlarge-3x {
        margin-right: 3rem !important;
    }

    .mb-xlarge-3x {
        margin-bottom: 3rem !important;
    }

    .ml-xlarge-3x {
        margin-left: 3rem !important;
    }

    .mv-xlarge-3x {
        margin-top: 3rem !important;
        margin-bottom: 3rem !important;
    }

    .mh-xlarge-3x {
        margin-right: 3rem !important;
        margin-left: 3rem !important;
    }

    .m-xlarge-4x {
        margin: 4rem !important;
    }

    .mt-xlarge-4x {
        margin-top: 4rem !important;
    }

    .mr-xlarge-4x {
        margin-right: 4rem !important;
    }

    .mb-xlarge-4x {
        margin-bottom: 4rem !important;
    }

    .ml-xlarge-4x {
        margin-left: 4rem !important;
    }

    .mv-xlarge-4x {
        margin-top: 4rem !important;
        margin-bottom: 4rem !important;
    }

    .mh-xlarge-4x {
        margin-right: 4rem !important;
        margin-left: 4rem !important;
    }

    .m-xlarge-5x {
        margin: 5rem !important;
    }

    .mt-xlarge-5x {
        margin-top: 5rem !important;
    }

    .mr-xlarge-5x {
        margin-right: 5rem !important;
    }

    .mb-xlarge-5x {
        margin-bottom: 5rem !important;
    }

    .ml-xlarge-5x {
        margin-left: 5rem !important;
    }

    .mv-xlarge-5x {
        margin-top: 5rem !important;
        margin-bottom: 5rem !important;
    }

    .mh-xlarge-5x {
        margin-right: 5rem !important;
        margin-left: 5rem !important;
    }
}

@media (min-width: 1281px) {
    .m-xxlarge-0 {
        margin: 0 !important;
    }

    .mt-xxlarge-0 {
        margin-top: 0 !important;
    }

    .mr-xxlarge-0 {
        margin-right: 0 !important;
    }

    .mb-xxlarge-0 {
        margin-bottom: 0 !important;
    }

    .ml-xxlarge-0 {
        margin-left: 0 !important;
    }

    .mv-xxlarge-0 {
        margin-top: 0 !important;
        margin-bottom: 0 !important;
    }

    .mh-xxlarge-0 {
        margin-right: 0 !important;
        margin-left: 0 !important;
    }

    .m-xxlarge-a {
        margin: auto !important;
    }

    .mt-xxlarge-a {
        margin-top: auto !important;
    }

    .mr-xxlarge-a {
        margin-right: auto !important;
    }

    .mb-xxlarge-a {
        margin-bottom: auto !important;
    }

    .ml-xxlarge-a {
        margin-left: auto !important;
    }

    .mv-xxlarge-a {
        margin-top: auto !important;
        margin-bottom: auto !important;
    }

    .mh-xxlarge-a {
        margin-right: auto !important;
        margin-left: auto !important;
    }

    .m-xxlarge {
        margin: 1rem !important;
    }

    .mt-xxlarge {
        margin-top: 1rem !important;
    }

    .mr-xxlarge {
        margin-right: 1rem !important;
    }

    .mb-xxlarge {
        margin-bottom: 1rem !important;
    }

    .ml-xxlarge {
        margin-left: 1rem !important;
    }

    .mv-xxlarge {
        margin-top: 1rem !important;
        margin-bottom: 1rem !important;
    }

    .mh-xxlarge {
        margin-right: 1rem !important;
        margin-left: 1rem !important;
    }

    .m-xxlarge-2x {
        margin: 2rem !important;
    }

    .mt-xxlarge-2x {
        margin-top: 2rem !important;
    }

    .mr-xxlarge-2x {
        margin-right: 2rem !important;
    }

    .mb-xxlarge-2x {
        margin-bottom: 2rem !important;
    }

    .ml-xxlarge-2x {
        margin-left: 2rem !important;
    }

    .mv-xxlarge-2x {
        margin-top: 2rem !important;
        margin-bottom: 2rem !important;
    }

    .mh-xxlarge-2x {
        margin-right: 2rem !important;
        margin-left: 2rem !important;
    }

    .m-xxlarge-3x {
        margin: 3rem !important;
    }

    .mt-xxlarge-3x {
        margin-top: 3rem !important;
    }

    .mr-xxlarge-3x {
        margin-right: 3rem !important;
    }

    .mb-xxlarge-3x {
        margin-bottom: 3rem !important;
    }

    .ml-xxlarge-3x {
        margin-left: 3rem !important;
    }

    .mv-xxlarge-3x {
        margin-top: 3rem !important;
        margin-bottom: 3rem !important;
    }

    .mh-xxlarge-3x {
        margin-right: 3rem !important;
        margin-left: 3rem !important;
    }

    .m-xxlarge-4x {
        margin: 4rem !important;
    }

    .mt-xxlarge-4x {
        margin-top: 4rem !important;
    }

    .mr-xxlarge-4x {
        margin-right: 4rem !important;
    }

    .mb-xxlarge-4x {
        margin-bottom: 4rem !important;
    }

    .ml-xxlarge-4x {
        margin-left: 4rem !important;
    }

    .mv-xxlarge-4x {
        margin-top: 4rem !important;
        margin-bottom: 4rem !important;
    }

    .mh-xxlarge-4x {
        margin-right: 4rem !important;
        margin-left: 4rem !important;
    }

    .m-xxlarge-5x {
        margin: 5rem !important;
    }

    .mt-xxlarge-5x {
        margin-top: 5rem !important;
    }

    .mr-xxlarge-5x {
        margin-right: 5rem !important;
    }

    .mb-xxlarge-5x {
        margin-bottom: 5rem !important;
    }

    .ml-xxlarge-5x {
        margin-left: 5rem !important;
    }

    .mv-xxlarge-5x {
        margin-top: 5rem !important;
        margin-bottom: 5rem !important;
    }

    .mh-xxlarge-5x {
        margin-right: 5rem !important;
        margin-left: 5rem !important;
    }
}
